import random


def generate_season_wins(teams):
    ''' Generates a list that contains a random amount of wins, one per team '''
    games_won = []
    for team in teams:
        wins = random.randint(1, 10)
        games_won.append(wins)
    return games_won


teams = ['RedApples', 'FuzzyPeaches', 'SweetPears', 'GoneBananas', 'CleverKumquats', 'Oranges']
season1 = generate_season_wins(teams)
season2 = generate_season_wins(teams)
season3 = generate_season_wins(teams)
season4 = generate_season_wins(teams)

print(f'Teams: {teams}')
print(f'Season 1: {season1}')
print(f'Season 2: {season2}')
print(f'Season 3: {season3}')
print(f'Season 4: {season4}')

most_wins = 0
top_team = None
top_record = None

# find the winningest team
# start by zipping the teams and the amount of wins in each season
for name, s1, s2, s3, s4 in zip(teams, season1, season2, season3, season4):
    # each time through this loop we are looking at one team and all their wins in each of the four seasons
    # add up these wins to get the total wins across all 4 seasons
    total_wins = s1 + s2 + s3 + s4
    # check if this is larger than the most wins we have seen so far
    if total_wins > most_wins:
        # if this is the most wins we have seen so far, keep track of this team, their wins, and their record
        most_wins = total_wins
        top_team = name
        top_record = (s1, s2, s3, s4)

print()
print('Top Team:', top_team)
print('Most Wins:', most_wins)
print('Wins Per Season:', top_record)